# affinidi_tdk_iota_client

No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

For more information, please visit [https://github.com/affinidi/affinidi-tdk](https://github.com/affinidi/affinidi-tdk)

Documentation is available at [https://docs.affinidi.com/dev-tools/affinidi-tdk/clients/iota-framework](https://docs.affinidi.com/dev-tools/affinidi-tdk/clients/iota-framework)

## Requirements.

Python 3.7+

## Installation & Usage

### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install affinidi_tdk_iota_client
```

Then import the package:

```python
import affinidi_tdk_iota_client
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```

Then import the package:

```python
import affinidi_tdk_iota_client
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import time
import affinidi_tdk_iota_client
from affinidi_tdk_iota_client.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to https://apse1.api.affinidi.io/ais
# See configuration.py for a list of all supported configuration parameters.
configuration = affinidi_tdk_iota_client.Configuration(
    host = "https://apse1.api.affinidi.io/ais"
)



# Enter a context with an instance of the API client
with affinidi_tdk_iota_client.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = affinidi_tdk_iota_client.CallbackApi(api_client)
    callback_input = affinidi_tdk_iota_client.CallbackInput() # CallbackInput | CallbackRequestInput

    try:
        # Processes the callback for OIDC4VP flows
        api_response = api_instance.iot_oidc4_vp_callback(callback_input)
        print("The response of CallbackApi->iot_oidc4_vp_callback:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling CallbackApi->iot_oidc4_vp_callback: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://apse1.api.affinidi.io/ais*

| Class               | Method                                                                                               | HTTP request                                                               | Description                              |
| ------------------- | ---------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------- | ---------------------------------------- |
| _CallbackApi_       | [**iot_oidc4_vp_callback**](docs/CallbackApi.md#iot_oidc4_vp_callback)                               | **POST** /v1/callback                                                      | Processes the callback for OIDC4VP flows |
| _ConfigurationsApi_ | [**create_iota_configuration**](docs/ConfigurationsApi.md#create_iota_configuration)                 | **POST** /v1/configurations                                                |
| _ConfigurationsApi_ | [**delete_iota_configuration_by_id**](docs/ConfigurationsApi.md#delete_iota_configuration_by_id)     | **DELETE** /v1/configurations/{configurationId}                            |
| _ConfigurationsApi_ | [**get_iota_configuration_by_id**](docs/ConfigurationsApi.md#get_iota_configuration_by_id)           | **GET** /v1/configurations/{configurationId}                               |
| _ConfigurationsApi_ | [**get_iota_configuration_meta_data**](docs/ConfigurationsApi.md#get_iota_configuration_meta_data)   | **GET** /v1/projects/{projectId}/configurations/{configurationId}/metadata |
| _ConfigurationsApi_ | [**list_iota_configurations**](docs/ConfigurationsApi.md#list_iota_configurations)                   | **GET** /v1/configurations                                                 |
| _ConfigurationsApi_ | [**update_iota_configuration_by_id**](docs/ConfigurationsApi.md#update_iota_configuration_by_id)     | **PATCH** /v1/configurations/{configurationId}                             |
| _DefaultApi_        | [**list_logged_consents**](docs/DefaultApi.md#list_logged_consents)                                  | **GET** /v1/logged-consents                                                |
| _IotaApi_           | [**aws_exchange_credentials**](docs/IotaApi.md#aws_exchange_credentials)                             | **POST** /v1/aws-exchange-credentials                                      |
| _IotaApi_           | [**aws_exchange_credentials_project_token**](docs/IotaApi.md#aws_exchange_credentials_project_token) | **POST** /v1/aws-exchange-credentials/project-token                        |
| _IotaApi_           | [**delete_pex_queries**](docs/IotaApi.md#delete_pex_queries)                                         | **POST** /v1/configurations/{configurationId}/delete-queries               | deletes pex queries                      |
| _IotaApi_           | [**save_pex_queries**](docs/IotaApi.md#save_pex_queries)                                             | **POST** /v1/configurations/{configurationId}/save-queries                 |
| _PexQueryApi_       | [**create_pex_query**](docs/PexQueryApi.md#create_pex_query)                                         | **POST** /v1/configurations/{configurationId}/pex-queries                  |
| _PexQueryApi_       | [**delete_pex_query_by_id**](docs/PexQueryApi.md#delete_pex_query_by_id)                             | **DELETE** /v1/configurations/{configurationId}/pex-queries/{queryId}      |
| _PexQueryApi_       | [**get_pex_query_by_id**](docs/PexQueryApi.md#get_pex_query_by_id)                                   | **GET** /v1/configurations/{configurationId}/pex-queries/{queryId}         |
| _PexQueryApi_       | [**list_pex_queries**](docs/PexQueryApi.md#list_pex_queries)                                         | **GET** /v1/configurations/{configurationId}/pex-queries                   |
| _PexQueryApi_       | [**update_pex_query_by_id**](docs/PexQueryApi.md#update_pex_query_by_id)                             | **PATCH** /v1/configurations/{configurationId}/pex-queries/{queryId}       |

## Documentation For Models

- [AlreadyExistsError](docs/AlreadyExistsError.md)
- [AwsExchangeCredentials](docs/AwsExchangeCredentials.md)
- [AwsExchangeCredentialsOK](docs/AwsExchangeCredentialsOK.md)
- [AwsExchangeCredentialsProjectToken](docs/AwsExchangeCredentialsProjectToken.md)
- [AwsExchangeCredentialsProjectTokenOK](docs/AwsExchangeCredentialsProjectTokenOK.md)
- [AwsExchangeCredentialsProjectTokenOKCredentials](docs/AwsExchangeCredentialsProjectTokenOKCredentials.md)
- [CallbackInput](docs/CallbackInput.md)
- [ConsentDto](docs/ConsentDto.md)
- [CorsAwsExchangeCredentialsOK](docs/CorsAwsExchangeCredentialsOK.md)
- [CorsAwsExchangeCredentialsProjectTokenOK](docs/CorsAwsExchangeCredentialsProjectTokenOK.md)
- [CorsIotOidc4vpcallbackOK](docs/CorsIotOidc4vpcallbackOK.md)
- [CreateIotaConfigurationInput](docs/CreateIotaConfigurationInput.md)
- [CreatePexQueryInput](docs/CreatePexQueryInput.md)
- [DeletePexQueriesInput](docs/DeletePexQueriesInput.md)
- [GetIotaConfigurationMetaDataOK](docs/GetIotaConfigurationMetaDataOK.md)
- [InvalidParameterError](docs/InvalidParameterError.md)
- [InvalidParameterErrorDetailsInner](docs/InvalidParameterErrorDetailsInner.md)
- [IotaConfigurationDto](docs/IotaConfigurationDto.md)
- [IotaConfigurationDtoClientMetadata](docs/IotaConfigurationDtoClientMetadata.md)
- [ListConfigurationOK](docs/ListConfigurationOK.md)
- [ListLoggedConsentsOK](docs/ListLoggedConsentsOK.md)
- [ListPexQueriesOK](docs/ListPexQueriesOK.md)
- [MessagePublishingError](docs/MessagePublishingError.md)
- [NotFoundError](docs/NotFoundError.md)
- [OperationForbiddenError](docs/OperationForbiddenError.md)
- [PexQueryDto](docs/PexQueryDto.md)
- [PrepareRequest](docs/PrepareRequest.md)
- [PrepareRequestCreated](docs/PrepareRequestCreated.md)
- [PrepareRequestCreatedData](docs/PrepareRequestCreatedData.md)
- [ResourceLimitExceededError](docs/ResourceLimitExceededError.md)
- [SavePexQueriesUpdateInput](docs/SavePexQueriesUpdateInput.md)
- [SavePexQueriesUpdateInputQueriesInner](docs/SavePexQueriesUpdateInputQueriesInner.md)
- [UpdateConfigurationByIdInput](docs/UpdateConfigurationByIdInput.md)
- [UpdateConfigurationByIdOK](docs/UpdateConfigurationByIdOK.md)
- [UpdatePexQueryInput](docs/UpdatePexQueryInput.md)
- [VPTokenValidationError](docs/VPTokenValidationError.md)

<a id="documentation-for-authorization"></a>

## Documentation For Authorization

Authentication schemes defined for the API:
<a id="AwsSigV4"></a>

### AwsSigV4

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header

<a id="ApiKey"></a>

### ApiKey

- **Type**: API key
- **API key parameter name**: x-api-key
- **Location**: HTTP header

<a id="bearerAuth"></a>

### bearerAuth

- **Type**: Bearer authentication (JWT)

<a id="ConsumerTokenAuth"></a>

### ConsumerTokenAuth

- **Type**: API key
- **API key parameter name**: authorization
- **Location**: HTTP header

<a id="UserTokenAuth"></a>

### UserTokenAuth

- **Type**: API key
- **API key parameter name**: authorization
- **Location**: HTTP header

<a id="ProjectTokenAuth"></a>

### ProjectTokenAuth

- **Type**: API key
- **API key parameter name**: authorization
- **Location**: HTTP header

<a id="HeritageTokenAuth"></a>

### HeritageTokenAuth

- **Type**: API key
- **API key parameter name**: authorization
- **Location**: HTTP header

## Author

info@affinidi.com
